## org.eclipse.jetty.server.handler
Class HotSwapHandler

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.server.handler.AbstractHandler
              org.eclipse.jetty.server.handler.AbstractHandlerContainer
                  org.eclipse.jetty.server.handler.HotSwapHandler

All Implemented Interfaces:
  Handler, HandlerContainer, LifeCycle

    public class HotSwapHandler

extends AbstractHandlerContainer

A `HandlerContainer` that allows a hot swap of a wrapped handler.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`HotSwapHandler()`

Method Summary
`protected void` `doStart()`
`protected void` `doStop()`
`protected Object` `expandChildren(Object list, Class byClass)`
`Handler` `getHandler()`
`Handler[]` `getHandlers()`
`void` `handle(String target, Request baseRequest, HttpServletRequest request, HttpServletResponse response)` Handle a request.
`void` `setHandler(Handler handler)`
`void` `setServer(Server server)`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandlerContainer
`dump, dumpHandlers, expandHandler, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler
`destroy, dump, dump, getServer, toString`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### HotSwapHandler

    public HotSwapHandler()

Method Detail

### getHandler

    public Handler getHandler()

  Returns:
    Returns the handlers.

### getHandlers

    public Handler[] getHandlers()

  Returns:
    Returns the handlers.

### setHandler

    public void setHandler(Handler handler)

  Parameters:
    `handler` - Set the `Handler` which should be wrapped.

### doStart

    protected void doStart()
                    throws Exception

  Overrides:
    `doStart` in class `AbstractHandler`
  Throws:
    `Exception`

### doStop

    protected void doStop()
                   throws Exception

  Overrides:
    `doStop` in class `AbstractHandler`
  Throws:
    `Exception`

### handle

    public void handle(String target,
                       Request baseRequest,
                       HttpServletRequest request,
                       HttpServletResponse response)
                throws IOException,
                       ServletException

  Description copied from interface: `Handler`
  Handle a request.

  Parameters:
    `target` - The target of the request - either a URI or a name.
    `baseRequest` - The original unwrapped request object.
    `request` - The request either as the `Request` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Request object if required.
    `response` - The response as the `Response` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Response object if required.
  Throws:
    `IOException`
    `ServletException`

### setServer

    public void setServer(Server server)

  Specified by:
    `setServer` in interface `Handler`
  Overrides:
    `setServer` in class `AbstractHandler`

### expandChildren

    protected Object expandChildren(Object list,
                                    Class byClass)

  Overrides:
    `expandChildren` in class `AbstractHandlerContainer`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.